LMREREAD(1)

NAME
lmreread - tells the license daemon to reread the license file

SYNOPSIS
lmreread [ -c license_file ]

DESCRIPTION

lmreread allows the system administrator to tell the license daemon to reread the license file. This can be useful if the data in the license file has changed; the new data can be loaded into the license daemon without shutting down and restarting it.

lmreread uses the license file from the command line (or the default file, if none specified) only to find the license daemon to send it the command to reread the license file. The license daemon will always reread the original file that it loaded. If you need to change the path to the license file read by the license daemon, then you must shut down the daemon and restart it with that new license file path.

You can not use lmreread if the SERVER node names or port numbers have been changed in the license file. In this case, you must shut down the daemon and restart it in order for those changes to take effect.

lmreread does not change any option information specified in an options file. If the new license file specifies a different options file, that information is ignored. If you need to reread the options file, you must shut down the daemon and restart it.

OPTIONS

-c license_file
    Use the specified license_file. If this switch is not specified, lmreread looks for the environment variable LM_LICENSE_FILE. If that environment variable is not set, lmreread looks for the file /usr/local/flexlm/licenses/license.dat. If no -c option is specified, lmreread looks for the environment variable LM_LICENSE_FILE in order to find the license file to use. If that environment variable is not set, lmreread looks for the file /usr/local/flexlm/licenses/license.dat.

SEE ALSO
lmdown(1).